Subject: Re: [Xen-devel] [RFC PATCH 34/35] Add the Xen virtual network device driver.

From: Andi Kleen <[email-masked]>
Date: Tue, 9 May 2006 15:14:28 +0200

On Tuesday 09 May 2006 15:01, Herbert Xu wrote:
> Christian Limpach <[email-masked]> wrote:
> > 
> > There's at least two reasons why having it in the driver is preferable:
> > - synchronizing sending the fake ARP request with when the device is
> >  operational -- you really want to make this well synchronized to keep
> >  unreachability as short as possible, especially when doing live
> >  migration
> > - anybody but the guest might not know (all) the MAC addresses for which
> >  to send a fake ARP request
> 
> Sure.  However, what's there to stop you from doing this in user-space
> inside the guest?

I guess they don't trust user space. But the standard ipup script
from iproute2 does this already so at least for modern distributions
it should just work.

-Andi